<template>
  <article class="view view--content-loading">
    <LoadingSpinner />
  </article>
</template>

<script>
import { useRoute } from 'vue-router'
import { useStore } from 'vuex'
import { ValidationHelper, LoadingSpinner } from '../../../core'

export default {
  name: 'ContentLoadingView',
  components: {
    LoadingSpinner,
  },
  setup() {
    const route = useRoute()
    const store = useStore()

    // Store the pathMatch for re-triggering the router when the dynamic routes have loaded.
    const pathMatch = ValidationHelper.getString(route.params.pathMatch, '')
    store.dispatch('content/setPathMatch', '/' + pathMatch)
  },
}
</script>
